Index: core/admin_templates/agents/agent_list.tpl
===================================================================
--- core/admin_templates/agents/agent_list.tpl	(revision 12973)
+++ core/admin_templates/agents/agent_list.tpl	(working copy)
@@ -72,7 +72,7 @@
 </tbody>
 </table>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="agent" IdField="AgentId" grid="Default" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="agent" IdField="AgentId" grid="Default"/>
 <script type="text/javascript">
 	Grids['agent'].SetDependantToolbarButtons( new Array('edit','delete', 'approve', 'decline', 'cancel') );
 </script>
Index: core/admin_templates/ban_rules/ban_rule_list.tpl
===================================================================
--- core/admin_templates/ban_rules/ban_rule_list.tpl	(revision 12973)
+++ core/admin_templates/ban_rules/ban_rule_list.tpl	(working copy)
@@ -63,7 +63,7 @@
 </tbody>
 </table>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="ban-rule" IdField="RuleId" grid="Default" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="ban-rule" IdField="RuleId" grid="Default"/>
 <script type="text/javascript">
 	Grids['ban-rule'].SetDependantToolbarButtons( new Array('edit', 'delete', 'approve', 'decline') );
 </script>
Index: core/admin_templates/incs/grid_blocks.tpl
===================================================================
--- core/admin_templates/incs/grid_blocks.tpl	(revision 12973)
+++ core/admin_templates/incs/grid_blocks.tpl	(working copy)
@@ -585,6 +585,10 @@
 	'<inp2:m_RenderElement name="$data_block" pass_params="1" js_escape="1"/>'<inp2:m_if check="m_Param" name="is_last" inverse="1">,</inp2:m_if>
 </inp2:m_DefineElement>
 
+<inp2:m_DefineElement name="grid_js_empty_filter_block" use_phrases="0">
+	'<inp2:m_RenderElement name="grid_empty_filter" pass_params="1" js_escape="1"/>'<inp2:m_if check="m_Param" name="is_last" inverse="1">,</inp2:m_if>
+</inp2:m_DefineElement>
+
 <inp2:m_DefineElement name="grid_js_filter_block" use_phrases="0">
 	'<inp2:m_RenderElement name="$filter_block" pass_params="1" js_escape="1"/>'<inp2:m_if check="m_Param" name="is_last" inverse="1">,</inp2:m_if>
 </inp2:m_DefineElement>
@@ -593,7 +597,7 @@
 	<inp2:m_Param name="width" js_escape="1"/><inp2:m_if check="m_Param" name="is_last" inverse="1">,</inp2:m_if>
 </inp2:m_DefineElement>
 
-<inp2:m_DefineElement name="grid" main_prefix="" per_page="" main_special="" grid_filters=""
+<inp2:m_DefineElement name="grid" main_prefix="" per_page="" main_special="" grid_filters="1"
 	 search="on"
 	 header_block="grid_column_title"
 	 filter_block="grid_column_filter"
@@ -674,7 +678,7 @@
 </inp2:m_DefineElement>
 
 <inp2:m_DefineElement name="grid_js"
-	main_prefix="" per_page="" main_special="" grid_filters=""
+	main_prefix="" per_page="" main_special="" grid_filters="1"
 	header_block="grid_column_title"
 	filter_block="grid_column_filter"
 	data_block="grid_data_td"
@@ -704,7 +708,13 @@
 		GridScrollers['<inp2:m_param name="PrefixSpecial"/>'].SetHeader(
 			[
 				[' <inp2:m_RenderElement name="default_sorting_element" prefix="$PrefixSpecial" ajax="$ajax" js_escape="1" strip_nl="2"/>', <inp2:IterateGridFields grid="$grid" mode="header" block="$header_block" ajax="$ajax"/>],
-				['<inp2:m_if check="m_Param" name="selector" equals_to="checkbox"><inp2:m_RenderElement name="grid_select_all_checkbox_html" pass_params="1" js_escape="1"/><inp2:m_else/>&nbsp;</inp2:m_if>', <inp2:IterateGridFields grid="$grid" mode="filter" force_block="grid_js_filter_block" ajax="$ajax"/>]
+				['<inp2:m_if check="m_Param" name="selector" equals_to="checkbox"><inp2:m_RenderElement name="grid_select_all_checkbox_html" pass_params="1" js_escape="1"/><inp2:m_else/>&nbsp;</inp2:m_if>',
+					<inp2:m_if check="m_Param" name="grid_filters">
+						<inp2:IterateGridFields grid="$grid" mode="filter" force_block="grid_js_filter_block" ajax="$ajax"/>
+					<inp2:m_else/>
+						<inp2:IterateGridFields grid="$grid" mode="filter" force_block="grid_js_empty_filter_block" ajax="$ajax"/>
+					</inp2:m_if>
+				]
 			]
 		)
 		GridScrollers['<inp2:m_param name="PrefixSpecial"/>'].FieldNames = ['_CheckboxColumn', <inp2:IterateGridFields grid="$grid" mode="fields"/>];
Index: core/admin_templates/logs/change_logs/change_log_list.tpl
===================================================================
--- core/admin_templates/logs/change_logs/change_log_list.tpl	(revision 12973)
+++ core/admin_templates/logs/change_logs/change_log_list.tpl	(working copy)
@@ -71,7 +71,7 @@
 	<inp2:Field field="$field" first_chars="$first_chars" nl2br="$nl2br" grid="$grid" no_special="1" format="$format"/>
 </inp2:m_DefineElement>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="change-log" IdField="ChangeLogId" grid="Default" grid_filters="1" row_class_render_as="row_class"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="change-log" IdField="ChangeLogId" grid="Default" row_class_render_as="row_class"/>
 <script type="text/javascript">
 	Grids['change-log'].SetDependantToolbarButtons( new Array('edit') );
 </script>
Index: core/admin_templates/logs/session_logs/session_log_list.tpl
===================================================================
--- core/admin_templates/logs/session_logs/session_log_list.tpl	(revision 12973)
+++ core/admin_templates/logs/session_logs/session_log_list.tpl	(working copy)
@@ -58,7 +58,7 @@
 	<a href="<inp2:m_t t="logs/change_logs/change_log_list" pass="m,change-log" grid_name="Default" custom_filters[change-log][Default][SessionLogId][like]="$sessionlog_id" change-log_event="OnSearch"/>"><inp2:Field name="AffectedItems"/></a>
 </inp2:m_DefineElement>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="session-log" IdField="SessionLogId" grid="Default" grid_filters="1" row_class_render_as="row_class"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="session-log" IdField="SessionLogId" grid="Default" row_class_render_as="row_class"/>
 <script type="text/javascript">
 	Grids['session-log'].SetDependantToolbarButtons( new Array() );
 </script>
Index: core/admin_templates/logs/visits/visits_list.tpl
===================================================================
--- core/admin_templates/logs/visits/visits_list.tpl	(revision 12973)
+++ core/admin_templates/logs/visits/visits_list.tpl	(working copy)
@@ -64,7 +64,7 @@
 	</div>
 </inp2:m_DefineElement>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="visits" IdField="VisitId" grid="Default" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="visits" IdField="VisitId" grid="Default"/>
 <script type="text/javascript">
 	Grids['visits'].SetDependantToolbarButtons( new Array('delete') );
 </script>
Index: core/admin_templates/mailing_lists/mailing_list_list.tpl
===================================================================
--- core/admin_templates/mailing_lists/mailing_list_list.tpl	(revision 12973)
+++ core/admin_templates/mailing_lists/mailing_list_list.tpl	(working copy)
@@ -72,7 +72,7 @@
 </tbody>
 </table>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="mailing-list" IdField="MailingId" grid="Default" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="mailing-list" IdField="MailingId" grid="Default"/>
 <script type="text/javascript">
 	Grids['mailing-list'].SetDependantToolbarButtons( new Array('view_item', 'delete', 'cancel') );
 </script>
Index: core/admin_templates/skins/skin_list.tpl
===================================================================
--- core/admin_templates/skins/skin_list.tpl	(revision 12973)
+++ core/admin_templates/skins/skin_list.tpl	(working copy)
@@ -64,7 +64,7 @@
 </tbody>
 </table>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="skin" IdField="SkinId" grid="Default" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="skin" IdField="SkinId" grid="Default"/>
 <script type="text/javascript">
 	Grids['skin'].SetDependantToolbarButtons( new Array('edit', 'delete', 'setprimary', 'clone') );
 </script>
Index: core/admin_templates/stop_words/stop_word_list.tpl
===================================================================
--- core/admin_templates/stop_words/stop_word_list.tpl	(revision 12973)
+++ core/admin_templates/stop_words/stop_word_list.tpl	(working copy)
@@ -41,7 +41,7 @@
 </tbody>
 </table>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="stop-word" IdField="StopWordId" grid="Default" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="stop-word" IdField="StopWordId" grid="Default"/>
 <script type="text/javascript">
 	Grids['stop-word'].SetDependantToolbarButtons( new Array('edit','delete') );
 </script>
Index: core/admin_templates/thesaurus/thesaurus_list.tpl
===================================================================
--- core/admin_templates/thesaurus/thesaurus_list.tpl	(revision 12973)
+++ core/admin_templates/thesaurus/thesaurus_list.tpl	(working copy)
@@ -47,7 +47,7 @@
 </tbody>
 </table>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="thesaurus" IdField="ThesaurusId" grid="Default" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="thesaurus" IdField="ThesaurusId" grid="Default"/>
 <script type="text/javascript">
 	Grids['thesaurus'].SetDependantToolbarButtons( new Array('edit','delete') );
 </script>
Index: core/admin_templates/users/admins_list.tpl
===================================================================
--- core/admin_templates/users/admins_list.tpl	(revision 12973)
+++ core/admin_templates/users/admins_list.tpl	(working copy)
@@ -61,7 +61,7 @@
 </tbody>
 </table>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="u.admins" IdField="PortalUserId" grid="Admins" menu_filters="yes" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="u.admins" IdField="PortalUserId" grid="Admins" menu_filters="yes"/>
 <script type="text/javascript">
 	Grids['u.admins'].SetDependantToolbarButtons( new Array('edit','delete','clone') );
 </script>
Index: core/admin_templates/users/users_list.tpl
===================================================================
--- core/admin_templates/users/users_list.tpl	(revision 12973)
+++ core/admin_templates/users/users_list.tpl	(working copy)
@@ -101,7 +101,7 @@
 </tbody>
 </table>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="u.regular" IdField="PortalUserId" grid="RegularUsers" menu_filters="yes" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="u.regular" IdField="PortalUserId" grid="RegularUsers" menu_filters="yes"/>
 <script type="text/javascript">
 	Grids['u.regular'].SetDependantToolbarButtons( new Array('edit', 'delete', 'e-mail', 'approve', 'decline') );
 </script>
Index: custom/admin_templates/widgets/widget_list.tpl
===================================================================
--- custom/admin_templates/widgets/widget_list.tpl	(revision 12973)
+++ custom/admin_templates/widgets/widget_list.tpl	(working copy)
@@ -128,7 +128,7 @@
 </inp2:m_DefineElement>
 
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="widget" IdField="WidgetId" grid="Default" grid_filters="1" max_row_height="100"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="widget" IdField="WidgetId" grid="Default" max_row_height="100"/>
 <script type="text/javascript">
 	Grids['widget'].SetDependantToolbarButtons( new Array('edit', 'delete', 'approve', 'decline') );
 </script>
Index: in-bulletin/admin_templates/emoticons/emoticon_list.tpl
===================================================================
--- in-bulletin/admin_templates/emoticons/emoticon_list.tpl	(revision 12973)
+++ in-bulletin/admin_templates/emoticons/emoticon_list.tpl	(working copy)
@@ -41,7 +41,7 @@
 </tbody>
 </table>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="emoticon" IdField="EmoticonId" grid="Default" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="emoticon" IdField="EmoticonId" grid="Default"/>
 <script type="text/javascript">
 	Grids['emoticon'].SetDependantToolbarButtons( new Array('edit','delete') );
 </script>
Index: in-bulletin/admin_templates/polls/poll_edit_answers.tpl
===================================================================
--- in-bulletin/admin_templates/polls/poll_edit_answers.tpl	(revision 12973)
+++ in-bulletin/admin_templates/polls/poll_edit_answers.tpl	(working copy)
@@ -144,7 +144,7 @@
 </tbody>
 </table>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="poll-answer" IdField="AnswerId" grid="Default" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="poll-answer" IdField="AnswerId" grid="Default"/>
 <script type="text/javascript">
 	Grids['poll-answer'].SetDependantToolbarButtons( new Array('edit','delete', 'approve', 'decline', 'move_up', 'move_down') );
 </script>
Index: in-bulletin/admin_templates/polls/poll_edit_comments.tpl
===================================================================
--- in-bulletin/admin_templates/polls/poll_edit_comments.tpl	(revision 12973)
+++ in-bulletin/admin_templates/polls/poll_edit_comments.tpl	(working copy)
@@ -144,7 +144,7 @@
 </tbody>
 </table>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="poll-comment" IdField="CommentId" grid="Default" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="poll-comment" IdField="CommentId" grid="Default"/>
 <script type="text/javascript">
 	Grids['poll-comment'].SetDependantToolbarButtons( new Array('edit','delete', 'approve', 'decline', 'move_up', 'move_down') );
 </script>
Index: in-bulletin/admin_templates/polls/poll_list.tpl
===================================================================
--- in-bulletin/admin_templates/polls/poll_list.tpl	(revision 12973)
+++ in-bulletin/admin_templates/polls/poll_list.tpl	(working copy)
@@ -82,7 +82,7 @@
 	</inp2:m_if>
 </inp2:m_DefineElement>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="poll" IdField="PollId" grid="Default" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="poll" IdField="PollId" grid="Default"/>
 <script type="text/javascript">
 	Grids['poll'].SetDependantToolbarButtons( new Array('edit','delete', 'approve', 'decline', 'move_up', 'move_down') );
 </script>
Index: in-commerce/admin_templates/visits/visits_list_incommerce.tpl
===================================================================
--- in-commerce/admin_templates/visits/visits_list_incommerce.tpl	(revision 12973)
+++ in-commerce/admin_templates/visits/visits_list_incommerce.tpl	(working copy)
@@ -64,7 +64,7 @@
 	</div>
 </inp2:m_DefineElement>
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="visits.incommerce" IdField="VisitId" grid="visitsincommerce" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="visits.incommerce" IdField="VisitId" grid="visitsincommerce"/>
 <script type="text/javascript">
 	Grids['visits.incommerce'].SetDependantToolbarButtons( new Array('delete') );
 </script>
Index: in-link/admin_templates/link_validation/link_validation_list.tpl
===================================================================
--- in-link/admin_templates/link_validation/link_validation_list.tpl	(revision 12973)
+++ in-link/admin_templates/link_validation/link_validation_list.tpl	(working copy)
@@ -127,7 +127,7 @@
 </inp2:m_DefineElement>
 
 
-<inp2:m_RenderElement name="grid" PrefixSpecial="link-validation" IdField="ForeignLinkId" grid="Default" menu_filters="yes" grid_filters="1"/>
+<inp2:m_RenderElement name="grid" PrefixSpecial="link-validation" IdField="ForeignLinkId" grid="Default" menu_filters="yes"/>
 <script type="text/javascript">
 	Grids['link-validation'].SetDependantToolbarButtons( new Array('validate', 'validate_reset', 'edit', 'approve', 'decline', 'delete') );
 </script>
